Summary: Yorick matrix language interpreter with X11 graphics system
Packager: Conrad Steenberg <conrad@srl.caltech.edu>
Name: yorick
Version: 1.4
Release: 11
Source: yorick-1.4.src.tar.gz
Patch0: yorick-1.4.diff
Copyright: BSD
Group: Applications/Math
Icon: graphic1.gif

%description
                Yorick is a very fast interpreted language designed for 
                scientific computing and numerical analysis.  The syntax 
                is similar to C, but without declarative statements. 
                Operations between arrays yield array results, and Yorick 
                provides a very rich selection of multi-dimensional array 
                indexing operations.  Yorick also features a binary I/O 
                package which automatically translates floating point and 
                integer representations on the machine where it is running 
                to and from the format of any other machine.  Thus, you can 
                easily share binary files between, for example, Cray YMPs 
                and DEC alphas, or "teach" Yorick to read existing binary 
                databases.  Yorick also offers an interactive graphics 
                package based on X windows.  X-Y plots, quadrilateral 
                meshes, filled meshes, cell arrays, and contours are 
                supported.  Finally, you can embed compiled routines in   
                custom versions of Yorick to solve problems for which the 
                interpreter is too slow.  The primary use of Yorick to date 
                has been as a pre- and post-processor for large physical 
                simulation programs. 
                This version is current as of 21 January 1999

%prep
%setup
%patch  -p1
./configure --prefix=/usr --disable-share
%build
make 
cd Yorick/doc; makeinfo yorick.tex; cd ../..
%install
make install 
strip /usr/bin/yorick
%post 
cp /usr/lib/yorick/1.4/doc/yorick.info* /usr/info
gzip -9nf /usr/info/yorick.info*
/sbin/install-info /usr/info/yorick.info.gz  --info-dir=/usr/info/ \
 --item='* yorick: (yorick).  The yorick matrix interpreter'  
%preun
/sbin/install-info --delete /usr/info/yorick.info.gz --info-dir=/usr/info/
rm -f /usr/info/yorick.info*
%doc ANNOUNCE LEGAL NEWS README VERSION yorick-1.4.lsm yorick.1 
%files
/usr/bin/yorick
/usr/bin/gist
/usr/lib/yorick/1.4/
